Subject: Re: [MOBILE-IP] MIPv6 node location detection

From: "Karim El-Malki (ERA)" <[email-masked]>
Date: Tue, 17 Oct 2000 12:52:39 +0200

Hello Fred

> There are a couple of points to consider here. One is that I
> tend to think
> a lot of the discussion in Mobile IP is oriented around radio
> networks, and
> it's not in the least obvious to me that radio networks are
> the only use of
> it. I'm looking at it for quite another use that could use
> radios as the
> last mile, but requires no radios at all, and runs on a
> pretty large scale.
> So there is a trap we could fall into here that is somewhat worrisome.

I understand your point but there is no assumption in the
discussions as to where the radio network lies (if any) with
respect to mobility agents. On the other hand it is also clear
that radio is very important for mobility so it is good that we
take it into consideration and discuss it.

> Another is largely as Michael says - we want the Home Agent
> to be somewhere
> with enough capacity for huge numbers of things to use it.
> The "optimized"
> routing helps MIP scale quite a bit, which is an important
> commercial step.
> Making the home agents be in routers off in crufty corners of
> our corporate
> attics (the non-radio case) defeats a lot of that. In such
> cases, we will
> want something more central.

Are you still referring to MIPv6? Correct me if I'm misunderstanding,
but if you do use Route Optimisation the location of the HA is
not so important.

> I looked through the Hierarchical Mobility draft, and it
> seems to have the
> right mix of things - although I have to say it is more a marketing
> statement about the technology ("it is wonderful and Ericcson
> is applying
> for a patent") than a statement about how to do it beyond the need for
> another bit; we need quite a bit on the routing aspects of
> the technology.
> But I think there is a simpler approach that scales more nicely.

I guess you are referring to draft-ietf-mobileip-hmipv6-00?
I think it has nothing to do with a marketing draft so I wonder what
you are referring to specifically. It is authored by people employed
by Ericsson and INRIA who have already an implementation. Since, as
I seem to understand, we are not here representing or advertising
companies I also don't think your statement on Ericsson is relevant.
But I do agree with the "it is wonderful" bit!

> Similarly, if a mobile access helper anycast address existed,
> the local
> router could either be that system, or could tunnel messages to it. If
> could advise the mobile device of its presence and
> willingness to act as a
> care-of address; the mobile node would give this mobile
> access point a more
> local care-of address, and said MAP would forward messages
> directed to it
> to that more local COA. The only concern I have with putting the COA
> directly on the mobile device is the need for someone to forward them
> during handoffs, and this would allow for that. It seems like
> this "helper"
> model is not dissimilar to the Hierarchical Mobility model,
> but simpler.

It sounds very similar to the current HMIPv6 proposal.
The same effect can be achieved by the existing draft.
I'm not quite sure I understand why it is simpler to use 2 CoAs
(one local for the MAP and one for the HA and CNs), anyhow
you can do that in the existing proposal.

The use of anycast addressing was considered for MAP discovery
when we wrote the draft. The nice thing with router advertisements
is that you can have the option of more than one MAP to choose
from based on their distance and their current loading.
This information is encoded in the MAP option. I don't believe
you can achieve that using anycast. Plus with subnet anycast you
need to know the prefix of the link that the MAP is located on.

Regarding the handoff issue, there is another draft that was
included in the original proposal but is now part of the handoffs
work (draft-elmalki-handoffsv6-00). There are other drafts also
being discussed.

I hope this addresses your concerns.

Regards
/Karim

---

From: Gopal Dommety <[email-masked]>
Date: Tue, 17 Oct 2000 10:50:32 -0700

Hello:

Trying to catchup on my email, so if my comments are off-base, my apologies.

>But I do agree with the "it is wonderful" bit!

just curious, what is the invention here?

>> model is not dissimilar to the Hierarchical Mobility model,

The reason you pointed out about CoA's is one of the reasons, the draft-dommety-mobileip-ipv6-lma-01.txt
leaves option for using the helpers CoA.

-Gopal